app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::auth();
Route::get('/admin', function () {
    return view('admin.index');
});
route::get('/post/{id}',['as'=>'home.post','uses'=>'AdminPostsController@post']);

Route::get('/home', 'HomeController@index');

Route::group(['middleware' => 'admin'], function () {
    Route::resource('admin/users', 'AdminUsersController');
    Route::resource('admin/posts', 'AdminPostsController');
    Route::resource('admin/categories', 'AdminCategoryController');
    Route::resource('admin/media', 'AdminMediaController');
    Route::resource('admin/comments', 'PostCommentsController');
    Route::resource('admin/comments/replies', 'CommentRpliesController');
    
});
Route::group(['middleware' => 'auth'], function () {
    Route::post('comment/reply', 'CommentRpliesController@createReply');
});

app/Category.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $fillable=[
        'name'
    ];

    public function posts(){
        return $this->hasMany('App\Post');
    }
}

resources/views/admin/categories/edit.blade.php
@extends('layouts.admin')
@section('content')
	<h1>Edit Post</h1>
<div class="row">
        {!! Form::model($cat, ['method'=>'PATCH','action'=>['AdminCategoryController@update',$cat->id]]) !!}
			    <div class='form-group'>
			        {!! Form::label('name','name:') !!}
			        {!! Form::text('name',null,['class'=>'form-control']) !!}
			    </div>

			    
			    <div class='form-group'>
			        {!! Form::submit('Update Category',['class'=>'btn btn-primary col-sm-6']) !!}
			    </div>

			{!! Form::close() !!}
						
			{!! Form::open(['method'=>'DELETE','action'=>['AdminCategoryController@destroy', $cat->id] ]) !!}
				<div class="form-group">
					{!! Form::submit('Delete Category', ['class'=>'btn btn-danger col-sm-6'])!!}
				</div>
			{!! Form::close()!!}
</div>{{-- end row --}}
@endsection

resources/views/admin/categories/index.blade.php
@extends('layouts.admin');
@section('content')
    <h1>Category</h1>
    <div class="col-sm-6">
        {!! Form::open(['method'=>'POST','action'=>'AdminCategoryController@store' ]) !!}
            <div class="form-group">
                {!! Form::label('name','Name:') !!}
                {!! Form::text('name', null ,['class'=>'form-control']) !!}
            </div>
            <div class="form-group">
                {!! Form::submit('Create Category', ['class'=>'btn btn-primary'])!!}
            </div>
        {!! Form::close()!!}
    </div>

    <div class="col-sm-6">
        <table class="table">
            <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Created</th>
                <th>Updated</th>
                <th>Edit</th>
            </tr>
            </thead>
            <tbody>
                @if ($category)
                    @foreach ($category as $cat)
                        <tr>
                            <td>{{$cat->id}}</td>
                            <td>{{$cat->name}}</td>
                            <td>{{$cat->created_at?$cat->created_at->diffForHumans():'no date'}}</td>
                            <td>{{$cat->updated_at?$cat->updated_at->diffForHumans():'no date'}}</td>
                            <td><a href="{{route('admin.categories.edit',$cat->id)}}"><i class="fa fa-edit"> Edit</i></a></td>

                        </tr>
                    @endforeach
                @endif
            </tbody>
        </table>
    </div>{{--show caregory--}}
      
@endsection